POST
https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise
curl -X POST "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"appleId": "string",
"clientPem": "string",
"configuration": {
"primaryColor": "string",
"logo": "string",
"contactEmail": "[email protected]",
"contactPhone": "string"
}
}'const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise", {
method: "POST",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"appleId": "string",
"clientPem": "string",
"configuration": {
"primaryColor": "string",
"logo": "string",
"contactEmail": "[email protected]",
"contactPhone": "string"
}
}),
});
const data = await response.json();import requests
response = requests.post(
"https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
json={
"appleId": "string",
"clientPem": "string",
"configuration": {
"primaryColor": "string",
"logo": "string",
"contactEmail": "[email protected]",
"contactPhone": "string"
}
},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
Body Params
application/json
appleId
string
required
clientPem
string
required
configuration
object
optional
primaryColor
string
optional
logo
string
optional
contactEmail
string
optional
contactPhone
string
optional
{
"appleId": "string",
"clientPem": "string",
"configuration": {
"primaryColor": "string",
"logo": "string",
"contactEmail": "[email protected]",
"contactPhone": "string"
}
}
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
id
string
optional
updatedAt
string
optional
createdAt
string
optional
certificates
object
optional
appleId
string
optional
commonName
string
optional
issuedAt
string
optional
expiredAt
string
optional
history
array [object]
optional
appleId
string
optional
commonName
string
optional
issuedAt
string
optional
expiredAt
string
optional
dep
object
optional
config
object
optional
lastDeviceCursor
string
optional
depEnrollUrl
string
optional
configuration
object
optional
primaryColor
string
optional
logo
string
optional
contactEmail
string
optional
contactPhone
string
optional
organizationInfo
object
optional
id
string
optional
name
string
optional
slug
string
optional
store
object
optional
branding
object
optional
configuration
object
optional
createdBy
string
optional
protectionRules
object
optional
scheduleEnabled
boolean
optional
scheduleTimeZone
string
optional
schedule
object
optional
{
"status": true,
"data": {
"id": "string",
"updatedAt": "2024-01-01T00: 00:00Z",
"createdAt": "2024-01-01T00: 00:00Z",
"certificates": {
"appleId": "string",
"commonName": "string",
"issuedAt": "2024-01-01T00: 00:00Z",
"expiredAt": "2024-01-01T00: 00:00Z"
},
"history": [
{
"appleId": "string",
"commonName": "string",
"issuedAt": "2024-01-01T00: 00:00Z",
"expiredAt": "2024-01-01T00: 00:00Z"
}
],
"dep": {
"config": {
"consumerKey": "string",
"consumerSecret": "string",
"accessToken": "string",
"accessSecret": "string",
"accessTokenExpiry": "2024-01-01T00: 00:00Z"
},
"lastDeviceCursor": "string",
"depEnrollUrl": "string"
},
"configuration": {
"primaryColor": "string",
"logo": "string",
"contactEmail": "[email protected]",
"contactPhone": "string"
},
"organizationInfo": {
"id": "string",
"name": "string",
"slug": "string",
"store": {
"customDomain": "string"
},
"branding": {
"logo": "string",
"picture": "string",
"primaryColor": "string"
},
"configuration": {
"storageProvider": "string"
},
"createdBy": "string"
},
"protectionRules": {
"scheduleEnabled": true,
"scheduleTimeZone": "Africa/Abidjan",
"schedule": {
"mon": [
0
],
"tue": [
0
],
"wed": [
0
],
"thu": [
0
],
"fri": [
0
],
"sat": [
0
],
"sun": [
0
]
}
}
}
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 5071,
"message": "AdmEnterprise already exists"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}